Bug 202871 - Grep man page contains no info about parentheses' meaning
Grep man page contains no info about parentheses' meaning
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: grep (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-16 16:52 EDT by Paul Dickson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-17 06:16:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Dickson 2006-08-16 16:52:20 EDT
Description of problem:
Grep's man page only reference to parentheses is that they lose their special
meaning in basic regular expressions.  There needs to be some descriptions about
what parentheses do and how to use them.

Version-Release number of selected component (if applicable):
grep-2.5.1-54.1

How reproducible:
Always

Steps to Reproduce:
1. man grep
2.
3.
  
Actual results:
The only explanation on parentheses is the paragraph:

    In basic regular expressions the metacharacters ?, +, {, |, (, and )
    lose their special meaning; instead use the backslashed versions \?,
    \+, \{, \|, \(, and \).

Expected results:
Some explanation about using parenthese to demark alternatives.

Additional info:
Comment 1 Tim Waugh 2006-08-17 06:16:01 EDT
Reported upstream:
  https://savannah.gnu.org/bugs/index.php?func=detailitem&item_id=17454

Note You need to log in before you can comment on or make changes to this bug.